#include <stdio.h>
#include "dbf.h"

/*
Sample application

<compiler_name> <parameters> test.c cdbfapi.lib

*/



int
main()
{
  int		i, j;
  struct DBF	*dbf;
  double	x=0;

  dbf = (struct DBF*)OpenBase("test.dbf");	//open file
  if (dbf)
  {
     dbf->opt.dt_type=2;			//mm-dd-yyyy

     set_filter(dbf, "numeric<=5", NULL);	//set filter

     SortBase(dbf, "logical;character", NULL);	//sort by field logical and character  

     for (i=0;i<reccount(dbf);i++)		//simple browse
     {
      ReadRecord(dbf, i);			//read record
      for (j=0;j<fieldcount(dbf);j++)  		//for each field
      	printf("%s|", GetStr(dbf, j));		//get field as string and print
      x+=GetFloat(dbf,  GetFieldNum(dbf, "FLOAT"));	//sum float field
      printf("\n");
     }
     printf("Sum by FLOAT field = %f\n", x);

     ClearSort(dbf);				//set order to 0

     ClearFilter(dbf);				//remove filter

  CloseBase(dbf);				//close file
 }

 return 0;
}
